Next Previous Contents

## 3.109 mouse_ioctl

> Function

>   Call the driver specific ioctl function.

> Header

>   `mouse.h`

> Declaration

>   `unsigned char __fastcall__ mouse_ioctl (unsigned char code, void* data);`

> Description

>   The function calls the IOCTL entry in the mouse driver, which is driver specific. The `code` parameter will choose between different IOCTL functions, and the `data` depends on code. The function returns an error code. The purpose of this function is to allow for driver specific extensions. See the documentation for a specific mouse driver for supported ioctl calls.

> Limits

>   - Calling this function is non portable, because each driver may implement different ioctl calls (or none at all).
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> Example

>   None.

Next Previous Contents